decode: harmonize r2007 section logging

mostly whitespace, one wrong 0x6 in the offset
decode: signed read_R2004_section_info section_number (#93)

a negative number denotes a gap/unused section
read_R2004_section_info (#93) WIP

use uin64_t section_size, not int32
read_R2004_section_info (#93) WIP

use uin64_t section_size, not int32
read_R2004_section_info (#93) WIP

use uin64_t section_size, not int32
read_R2004_section_info (#93) num_sections => pagecount

use uin64_t section_size, not int32.
remove the wrong num_sections field, which is documented
as PageCount.
read_R2004_section_info: remove unused Oops

The rootcause is now fixed,
Closes #93
read_R2004_section_info: remove unused Oops

The rootcause is now fixed,
Closes #93
WIP 2004 section sizes (#93)

read_R2004_section_info has a overflow problem, the
2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
WIP 2004 section sizes (#93)

read_R2004_section_info has a overflow problem, the
2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
WIP 2004 section sizes (#93)

read_R2004_section_info has a overflow problem, the
2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
WIP 2004 section sizes (#93)

read_R2004_section_info has a overflow problem, the
2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
WIP 2004 section sizes (#93)

read_R2004_section_info has a overflow problem, the
2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
Improve/harmonize logging 2004 section sizes (#93)

read_R2004_section_info still has a problem with wrong page sizes,
the 2007 variant read_data_section not.
Continue on fc3fd1c14eb08f6e06f516753bfac1fa59029d3a
The section_size is uint64, not int32. (ODA p28)

$ programs/dwgread test/test-big/2004/HARTA_E_PRISHTINES.dwg
ERROR: read_R2004_section_info out of range
Warning: Failed to find section_info[13] with type 0x3
ERROR: Failed to read compressed class section
decode: fix R2004_section_map int overflow

causing bytes_remaining switch from +8 to -8 but unsigned.
Fixes the crash from #132 with 00.dwg
Closes #93

needs int64_t, but we already required that earlier (RLL, BLL types, ...)
decode: fix R2004_section_map int overflow

causing bytes_remaining switch from +8 to -8 but unsigned.
Fixes the crash from #132 with 00.dwg
Closes #93

needs int64_t, but we already required that earlier (RLL, BLL types, ...)
